<?php
/*
 Simple:Press
 Template Tag(s) - Linked Topics as Comments
 $LastChangedDate: 2012-04-05 14:55:10 -0500 (Thu, 05 Apr 2012) $
 $Rev: 8267 $
 */

if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) {
         die('Access Denied');
}

/*      =====================================================================================

         spCommentsNumberTag($no_comment="0 Comments", $one_comment="1 Comment", $many_comment="% Comments", $blogcomments)

         Replaces the WP Template Tag: comments_number()
         Supplies Count of topic posts and can optionally include the standard blog comments in the total

         parameters:

                 $no_comment             Used for zero comments                                                                  text
                 $one_comment    Used for one comment                                                                    text
                 $many_comment   Used for multiple comments                                                              text
                 $blogcomments   Include Standard Blog Comments                                                  (true or false)
                 $postid                 Option to specify postid, otherwise $wp_query is used   integer
         ===================================================================================*/

function spCommentsNumberTag($no_comment="0 Comments", $one_comment="1 Comment", $many_comment="% Comments", $blogcomments=false, $postid=0) {
         global $wp_query;
         $result = $no_comment;
         $total = 0;
         if (empty($postid)) $postid = $wp_query->post->ID;
         $links = sp_blog_links_control('read', $postid);

         # If linked get the post count (-1 of course)
    if($links) sp_forum_api_support();
     if ($links && sp_get_auth('view_forum', $links->forum_id)) {
                 $sfpostlinking = sp_get_option('sfpostlinking');

                 # link found for this post
                $total = (sp_get_posts_count_in_linked_topic($links->topic_id, $sfpostlinking['sfhideduplicate'])-1);
         }

         # If to include standard blog comments add that number
        if($blogcomments) {
                 $total += get_comments_number($postid);
         }
         if($total > 0) {
                 if($total == 1 ? $result=$one_comment : $result=str_replace('%', number_format_i18n($total), $many_comment));
         }
         echo $result;

         return;
}


?>
